Bug 1462324 - Puppet/puppet-agent errors appearing in logs on capsule and hosts registered with capsule
Puppet/puppet-agent errors appearing in logs on capsule and hosts registered ...
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Puppet (Show other bugs)
6.2.9
x86_64 Linux
medium Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: Triaged
Depends On:
Blocks: GSS_Sat6Beta_Tracker/GSS_Sat6_Tracker 1317008
  Show dependency treegraph
 
Reported: 2017-06-16 13:50 EDT by Mihir Lele
Modified: 2017-11-13 08:59 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1108365
Environment:
Last Closed: 2017-11-13 08:59:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mihir Lele 2017-06-16 13:50:19 EDT
Description of problem:

Newly registered hosts with capsule are unable to get certs.

How reproducible: Always

Steps to Reproduce:

1) Register a system with the capsule
2) Install puppet on the host
3) Run "puppet agent -t"



Actual results:

Seen in /var/log/messages:

Jun 13 10:42:31 cap1 puppet-agent[31445]: Finished catalog run in 1.45 seconds
Jun 13 10:42:31 cap1 puppet-agent[31445]: Could not send report: Error 405 on SERVER: <!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">
Jun 13 10:42:31 cap1 puppet-agent[31445]: <html><head>
Jun 13 10:42:31 cap1 puppet-agent[31445]: <title>405 Method Not Allowed</title>
Jun 13 10:42:31 cap1 puppet-agent[31445]: </head><body>
Jun 13 10:42:31 cap1 puppet-agent[31445]: <h1>Method Not Allowed</h1>
Jun 13 10:42:31 cap1 puppet-agent[31445]: <p>The requested method PUT is not allowed for the URL /KT_aceminc_abc_RHEL7_Capsule_25/report/test1.example.com.</p>
Jun 13 10:42:31 cap1 puppet-agent[31445]: </body></html>


Expected results:

Puppet agent -t should generate a cert sign request on the capsule.

Additional info:

Output from one host registered with capsule:

# systemctl status puppet
● puppet.service - Puppet agent
   Loaded: loaded (/usr/lib/systemd/system/puppet.service; enabled; vendor preset: disabled)
   Active: active (running) since Thu 2017-06-15 16:02:24 EDT; 20s ago
 Main PID: 3603 (puppet)
   CGroup: /system.slice/puppet.service
           └─3603 /usr/bin/ruby /usr/bin/puppet agent --no-daemonize

Jun 15 16:02:31 test1.example.com puppet-agent[3612]: (/Stage[main]/Etc_snmp_snmpd_conf/File[/etc/snmp/snmpd.conf]) Could not ....conf
Jun 15 16:02:32 test1.example.com puppet-agent[3612]: (/Stage[main]/Mesg_csh_sh/File[/etc/profile.d/mesg.sh]) Could not evalua...sg.sh
Jun 15 16:02:32 test1.example.com puppet-agent[3612]: Finished catalog run in 1.44 seconds
Jun 15 16:02:32 test1.example.com puppet-agent[3612]: Could not send report: Error 405 on SERVER: <!DOCTYPE HTML PUBLIC "-//IE.../EN">
Jun 15 16:02:32 test1.example.com puppet-agent[3612]: <html><head>
Jun 15 16:02:32 test1.example.com puppet-agent[3612]: <title>405 Method Not Allowed</title>
Jun 15 16:02:32 test1.example.com puppet-agent[3612]: </head><body>
Jun 15 16:02:32 test1.example.com puppet-agent[3612]: <h1>Method Not Allowed</h1>
Jun 15 16:02:32 test1.example.com puppet-agent[3612]: <p>The requested method PUT is not allowed for the URL /KT_acmeinc....</p>
Jun 15 16:02:32 test1.example.com puppet-agent[3612]: </body></html>
Hint: Some lines were ellipsized, use -l to show in full.
Comment 3 Daniel Lobato Garcia 2017-11-13 03:23:39 EST
Mihir, is there any known way to reproduce this? As you mention, normally you get the cert request doing exactly these steps & in other capsule it's working fine.
Comment 4 Mihir Lele 2017-11-13 04:36:54 EST
There is no way to reproduce this. You can go ahead and close it this bz.
Comment 5 Brad Buckingham 2017-11-13 08:59:52 EST
Closing based upon comment 4.  Please feel free to re-open, if the issue is reproducible.

Note You need to log in before you can comment on or make changes to this bug.